
package no.usit.fsws.schemas.studinfo;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import no.uis.fsws.studinfo.data.Extensible;
import no.uis.fsws.studinfo.data.FsSemester;
import no.uis.fsws.studinfo.util.FsSemesterAdapter;


/**
 * <p>Java class for Emnekombinasjon-valg complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Emnekombinasjon-valg">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="studieprogramkode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="arstall-kull" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="terminkode-kull" type="{http://fsws.usit.no/schemas/studinfo}FsSemester"/>
 *         &lt;element name="dato-start" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="dato-frist" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;any maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Emnekombinasjon-valg", propOrder = {
    "studieprogramkode",
    "arstallKull",
    "terminkodeKull",
    "datoStart",
    "datoFrist",
    "any"
})
public class EmnekombinasjonValg
    extends Extensible
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(required = true)
    protected String studieprogramkode;
    @XmlElement(name = "arstall-kull", required = true)
    protected BigInteger arstallKull;
    @XmlElement(name = "terminkode-kull", required = true, type = String.class)
    @XmlJavaTypeAdapter(FsSemesterAdapter.class)
    protected FsSemester terminkodeKull;
    @XmlElement(name = "dato-start", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datoStart;
    @XmlElement(name = "dato-frist", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datoFrist;
    @XmlAnyElement(lax = true)
    protected List<Object> any;

    /**
     * Gets the value of the studieprogramkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStudieprogramkode() {
        return studieprogramkode;
    }

    /**
     * Sets the value of the studieprogramkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStudieprogramkode(String value) {
        this.studieprogramkode = value;
    }

    public boolean isSetStudieprogramkode() {
        return (this.studieprogramkode!= null);
    }

    /**
     * Gets the value of the arstallKull property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getArstallKull() {
        return arstallKull;
    }

    /**
     * Sets the value of the arstallKull property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setArstallKull(BigInteger value) {
        this.arstallKull = value;
    }

    public boolean isSetArstallKull() {
        return (this.arstallKull!= null);
    }

    /**
     * Gets the value of the terminkodeKull property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsSemester getTerminkodeKull() {
        return terminkodeKull;
    }

    /**
     * Sets the value of the terminkodeKull property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerminkodeKull(FsSemester value) {
        this.terminkodeKull = value;
    }

    public boolean isSetTerminkodeKull() {
        return (this.terminkodeKull!= null);
    }

    /**
     * Gets the value of the datoStart property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatoStart() {
        return datoStart;
    }

    /**
     * Sets the value of the datoStart property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatoStart(XMLGregorianCalendar value) {
        this.datoStart = value;
    }

    public boolean isSetDatoStart() {
        return (this.datoStart!= null);
    }

    /**
     * Gets the value of the datoFrist property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatoFrist() {
        return datoFrist;
    }

    /**
     * Sets the value of the datoFrist property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatoFrist(XMLGregorianCalendar value) {
        this.datoFrist = value;
    }

    public boolean isSetDatoFrist() {
        return (this.datoFrist!= null);
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getAny() {
        if (any == null) {
            any = new ArrayList<Object>();
        }
        return this.any;
    }

    public boolean isSetAny() {
        return ((this.any!= null)&&(!this.any.isEmpty()));
    }

    public void unsetAny() {
        this.any = null;
    }

}
