
package no.usit.fsws.schemas.studinfo;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import no.uis.fsws.studinfo.data.Extensible;
import no.uis.fsws.studinfo.data.FsTerminkodeYearMonth;
import no.uis.fsws.studinfo.data.FsTime;
import no.uis.fsws.studinfo.data.FsVarighet;
import no.uis.fsws.studinfo.data.FsYearSemester;
import no.uis.fsws.studinfo.util.FsTerminkodeYMAdapter;
import no.uis.fsws.studinfo.util.FsTimeAdapter;
import no.uis.fsws.studinfo.util.FsVarighetAdapter;
import no.uis.fsws.studinfo.util.FsYearSemesterAdapter;
import no.uis.fsws.studinfo.util.YesNoTypeAdapter;


/**
 * <p>Java class for Vurdkombinasjon complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Vurdkombinasjon">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="vurdkombkode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="vurdkombnavn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="vurdform" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="vurdkombtype" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="forstegang" type="{http://fsws.usit.no/schemas/studinfo}FsYearSemester"/>
 *         &lt;element name="sistegang" type="{http://fsws.usit.no/schemas/studinfo}FsYearSemester"/>
 *         &lt;element name="brok" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="varighet" type="{http://fsws.usit.no/schemas/studinfo}VarighetEmne"/>
 *         &lt;element name="vurdering" type="{http://fsws.usit.no/schemas/studinfo}YESNOType"/>
 *         &lt;element name="alle-kandidater" type="{http://fsws.usit.no/schemas/studinfo}YESNOType"/>
 *         &lt;element name="karregelkode" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="karregel" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="vurdkombtider">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="vurdkombtid" type="{http://fsws.usit.no/schemas/studinfo}Vurdkombtid" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="hjelpemiddel-liste" type="{http://fsws.usit.no/schemas/studinfo}HjelpemiddelListe"/>
 *         &lt;element name="tid" type="{http://fsws.usit.no/schemas/studinfo}FsTerminkodeYearMonth"/>
 *         &lt;element name="tid-reell" type="{http://fsws.usit.no/schemas/studinfo}FsTerminkodeYearMonth"/>
 *         &lt;element name="vurdstatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dato-uttak" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="klokkeslett-uttak" type="{http://fsws.usit.no/schemas/studinfo}FsTime"/>
 *         &lt;element name="dato-innlevering" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="klokkeslett-innlevering" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="dato-eksamen" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="klokkeslett-eksamen-fremmotetid" type="{http://fsws.usit.no/schemas/studinfo}FsTime"/>
 *         &lt;element name="vurdenheter">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="vurdenhet" type="{http://fsws.usit.no/schemas/studinfo}Vurdenhet" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="vurdkombinasjon-liste">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="vurdkombinasjon" type="{http://fsws.usit.no/schemas/studinfo}Vurdkombinasjon" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;any maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="niva" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Vurdkombinasjon", propOrder = {
    "vurdkombkode",
    "vurdkombnavn",
    "vurdform",
    "vurdkombtype",
    "forstegang",
    "sistegang",
    "brok",
    "varighet",
    "vurdering",
    "alleKandidater",
    "karregelkode",
    "karregel",
    "vurdkombtider",
    "hjelpemiddelListe",
    "tid",
    "tidReell",
    "vurdstatus",
    "datoUttak",
    "klokkeslettUttak",
    "datoInnlevering",
    "klokkeslettInnlevering",
    "datoEksamen",
    "klokkeslettEksamenFremmotetid",
    "vurdenheter",
    "vurdkombinasjonListe",
    "any"
})
public class Vurdkombinasjon
    extends Extensible
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(required = true)
    protected String vurdkombkode;
    @XmlElement(required = true)
    protected String vurdkombnavn;
    @XmlElement(required = true, nillable = true)
    protected String vurdform;
    @XmlElement(required = true, nillable = true)
    protected String vurdkombtype;
    @XmlElement(required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsYearSemesterAdapter.class)
    protected FsYearSemester forstegang;
    @XmlElement(required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsYearSemesterAdapter.class)
    protected FsYearSemester sistegang;
    @XmlElement(required = true, defaultValue = "1/1")
    protected String brok;
    @XmlElement(required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsVarighetAdapter.class)
    protected FsVarighet varighet;
    @XmlElement(required = true, type = String.class, defaultValue = "N")
    @XmlJavaTypeAdapter(YesNoTypeAdapter.class)
    protected Boolean vurdering;
    @XmlElement(name = "alle-kandidater", required = true, type = String.class, defaultValue = "N")
    @XmlJavaTypeAdapter(YesNoTypeAdapter.class)
    protected Boolean alleKandidater;
    @XmlElement(required = true, nillable = true)
    protected BigInteger karregelkode;
    @XmlElement(required = true, nillable = true)
    protected String karregel;
    @XmlElement(required = true, nillable = true)
    protected Vurdkombtider vurdkombtider;
    @XmlElement(name = "hjelpemiddel-liste", required = true, nillable = true)
    protected HjelpemiddelListe hjelpemiddelListe;
    @XmlElement(required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsTerminkodeYMAdapter.class)
    protected FsTerminkodeYearMonth tid;
    @XmlElement(name = "tid-reell", required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsTerminkodeYMAdapter.class)
    protected FsTerminkodeYearMonth tidReell;
    @XmlElement(required = true, nillable = true)
    protected String vurdstatus;
    @XmlElement(name = "dato-uttak", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datoUttak;
    @XmlElement(name = "klokkeslett-uttak", required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsTimeAdapter.class)
    protected FsTime klokkeslettUttak;
    @XmlElement(name = "dato-innlevering", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datoInnlevering;
    @XmlElement(name = "klokkeslett-innlevering", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar klokkeslettInnlevering;
    @XmlElement(name = "dato-eksamen", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datoEksamen;
    @XmlElement(name = "klokkeslett-eksamen-fremmotetid", required = true, type = String.class, nillable = true)
    @XmlJavaTypeAdapter(FsTimeAdapter.class)
    protected FsTime klokkeslettEksamenFremmotetid;
    @XmlElement(required = true, nillable = true)
    protected Vurdenheter vurdenheter;
    @XmlElement(name = "vurdkombinasjon-liste", required = true, nillable = true)
    protected VurdkombinasjonListe vurdkombinasjonListe;
    @XmlAnyElement(lax = true)
    protected List<Object> any;
    @XmlAttribute(name = "niva", required = true)
    protected BigInteger niva;

    /**
     * Gets the value of the vurdkombkode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdkombkode() {
        return vurdkombkode;
    }

    /**
     * Sets the value of the vurdkombkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdkombkode(String value) {
        this.vurdkombkode = value;
    }

    public boolean isSetVurdkombkode() {
        return (this.vurdkombkode!= null);
    }

    /**
     * Gets the value of the vurdkombnavn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdkombnavn() {
        return vurdkombnavn;
    }

    /**
     * Sets the value of the vurdkombnavn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdkombnavn(String value) {
        this.vurdkombnavn = value;
    }

    public boolean isSetVurdkombnavn() {
        return (this.vurdkombnavn!= null);
    }

    /**
     * Gets the value of the vurdform property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdform() {
        return vurdform;
    }

    /**
     * Sets the value of the vurdform property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdform(String value) {
        this.vurdform = value;
    }

    public boolean isSetVurdform() {
        return (this.vurdform!= null);
    }

    /**
     * Gets the value of the vurdkombtype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdkombtype() {
        return vurdkombtype;
    }

    /**
     * Sets the value of the vurdkombtype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdkombtype(String value) {
        this.vurdkombtype = value;
    }

    public boolean isSetVurdkombtype() {
        return (this.vurdkombtype!= null);
    }

    /**
     * Gets the value of the forstegang property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsYearSemester getForstegang() {
        return forstegang;
    }

    /**
     * Sets the value of the forstegang property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setForstegang(FsYearSemester value) {
        this.forstegang = value;
    }

    public boolean isSetForstegang() {
        return (this.forstegang!= null);
    }

    /**
     * Gets the value of the sistegang property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsYearSemester getSistegang() {
        return sistegang;
    }

    /**
     * Sets the value of the sistegang property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSistegang(FsYearSemester value) {
        this.sistegang = value;
    }

    public boolean isSetSistegang() {
        return (this.sistegang!= null);
    }

    /**
     * Gets the value of the brok property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBrok() {
        return brok;
    }

    /**
     * Sets the value of the brok property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBrok(String value) {
        this.brok = value;
    }

    public boolean isSetBrok() {
        return (this.brok!= null);
    }

    /**
     * Gets the value of the varighet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsVarighet getVarighet() {
        return varighet;
    }

    /**
     * Sets the value of the varighet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVarighet(FsVarighet value) {
        this.varighet = value;
    }

    public boolean isSetVarighet() {
        return (this.varighet!= null);
    }

    /**
     * Gets the value of the vurdering property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Boolean isVurdering() {
        return vurdering;
    }

    /**
     * Sets the value of the vurdering property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdering(Boolean value) {
        this.vurdering = value;
    }

    public boolean isSetVurdering() {
        return (this.vurdering!= null);
    }

    /**
     * Gets the value of the alleKandidater property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Boolean isAlleKandidater() {
        return alleKandidater;
    }

    /**
     * Sets the value of the alleKandidater property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAlleKandidater(Boolean value) {
        this.alleKandidater = value;
    }

    public boolean isSetAlleKandidater() {
        return (this.alleKandidater!= null);
    }

    /**
     * Gets the value of the karregelkode property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getKarregelkode() {
        return karregelkode;
    }

    /**
     * Sets the value of the karregelkode property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setKarregelkode(BigInteger value) {
        this.karregelkode = value;
    }

    public boolean isSetKarregelkode() {
        return (this.karregelkode!= null);
    }

    /**
     * Gets the value of the karregel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKarregel() {
        return karregel;
    }

    /**
     * Sets the value of the karregel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKarregel(String value) {
        this.karregel = value;
    }

    public boolean isSetKarregel() {
        return (this.karregel!= null);
    }

    /**
     * Gets the value of the vurdkombtider property.
     * 
     * @return
     *     possible object is
     *     {@link Vurdkombtider }
     *     
     */
    public Vurdkombtider getVurdkombtider() {
        return vurdkombtider;
    }

    /**
     * Sets the value of the vurdkombtider property.
     * 
     * @param value
     *     allowed object is
     *     {@link Vurdkombtider }
     *     
     */
    public void setVurdkombtider(Vurdkombtider value) {
        this.vurdkombtider = value;
    }

    public boolean isSetVurdkombtider() {
        return (this.vurdkombtider!= null);
    }

    /**
     * Gets the value of the hjelpemiddelListe property.
     * 
     * @return
     *     possible object is
     *     {@link HjelpemiddelListe }
     *     
     */
    public HjelpemiddelListe getHjelpemiddelListe() {
        return hjelpemiddelListe;
    }

    /**
     * Sets the value of the hjelpemiddelListe property.
     * 
     * @param value
     *     allowed object is
     *     {@link HjelpemiddelListe }
     *     
     */
    public void setHjelpemiddelListe(HjelpemiddelListe value) {
        this.hjelpemiddelListe = value;
    }

    public boolean isSetHjelpemiddelListe() {
        return (this.hjelpemiddelListe!= null);
    }

    /**
     * Gets the value of the tid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsTerminkodeYearMonth getTid() {
        return tid;
    }

    /**
     * Sets the value of the tid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTid(FsTerminkodeYearMonth value) {
        this.tid = value;
    }

    public boolean isSetTid() {
        return (this.tid!= null);
    }

    /**
     * Gets the value of the tidReell property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsTerminkodeYearMonth getTidReell() {
        return tidReell;
    }

    /**
     * Sets the value of the tidReell property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTidReell(FsTerminkodeYearMonth value) {
        this.tidReell = value;
    }

    public boolean isSetTidReell() {
        return (this.tidReell!= null);
    }

    /**
     * Gets the value of the vurdstatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVurdstatus() {
        return vurdstatus;
    }

    /**
     * Sets the value of the vurdstatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVurdstatus(String value) {
        this.vurdstatus = value;
    }

    public boolean isSetVurdstatus() {
        return (this.vurdstatus!= null);
    }

    /**
     * Gets the value of the datoUttak property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatoUttak() {
        return datoUttak;
    }

    /**
     * Sets the value of the datoUttak property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatoUttak(XMLGregorianCalendar value) {
        this.datoUttak = value;
    }

    public boolean isSetDatoUttak() {
        return (this.datoUttak!= null);
    }

    /**
     * Gets the value of the klokkeslettUttak property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsTime getKlokkeslettUttak() {
        return klokkeslettUttak;
    }

    /**
     * Sets the value of the klokkeslettUttak property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKlokkeslettUttak(FsTime value) {
        this.klokkeslettUttak = value;
    }

    public boolean isSetKlokkeslettUttak() {
        return (this.klokkeslettUttak!= null);
    }

    /**
     * Gets the value of the datoInnlevering property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatoInnlevering() {
        return datoInnlevering;
    }

    /**
     * Sets the value of the datoInnlevering property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatoInnlevering(XMLGregorianCalendar value) {
        this.datoInnlevering = value;
    }

    public boolean isSetDatoInnlevering() {
        return (this.datoInnlevering!= null);
    }

    /**
     * Gets the value of the klokkeslettInnlevering property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getKlokkeslettInnlevering() {
        return klokkeslettInnlevering;
    }

    /**
     * Sets the value of the klokkeslettInnlevering property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setKlokkeslettInnlevering(XMLGregorianCalendar value) {
        this.klokkeslettInnlevering = value;
    }

    public boolean isSetKlokkeslettInnlevering() {
        return (this.klokkeslettInnlevering!= null);
    }

    /**
     * Gets the value of the datoEksamen property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatoEksamen() {
        return datoEksamen;
    }

    /**
     * Sets the value of the datoEksamen property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatoEksamen(XMLGregorianCalendar value) {
        this.datoEksamen = value;
    }

    public boolean isSetDatoEksamen() {
        return (this.datoEksamen!= null);
    }

    /**
     * Gets the value of the klokkeslettEksamenFremmotetid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public FsTime getKlokkeslettEksamenFremmotetid() {
        return klokkeslettEksamenFremmotetid;
    }

    /**
     * Sets the value of the klokkeslettEksamenFremmotetid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKlokkeslettEksamenFremmotetid(FsTime value) {
        this.klokkeslettEksamenFremmotetid = value;
    }

    public boolean isSetKlokkeslettEksamenFremmotetid() {
        return (this.klokkeslettEksamenFremmotetid!= null);
    }

    /**
     * Gets the value of the vurdenheter property.
     * 
     * @return
     *     possible object is
     *     {@link Vurdenheter }
     *     
     */
    public Vurdenheter getVurdenheter() {
        return vurdenheter;
    }

    /**
     * Sets the value of the vurdenheter property.
     * 
     * @param value
     *     allowed object is
     *     {@link Vurdenheter }
     *     
     */
    public void setVurdenheter(Vurdenheter value) {
        this.vurdenheter = value;
    }

    public boolean isSetVurdenheter() {
        return (this.vurdenheter!= null);
    }

    /**
     * Gets the value of the vurdkombinasjonListe property.
     * 
     * @return
     *     possible object is
     *     {@link VurdkombinasjonListe }
     *     
     */
    public VurdkombinasjonListe getVurdkombinasjonListe() {
        return vurdkombinasjonListe;
    }

    /**
     * Sets the value of the vurdkombinasjonListe property.
     * 
     * @param value
     *     allowed object is
     *     {@link VurdkombinasjonListe }
     *     
     */
    public void setVurdkombinasjonListe(VurdkombinasjonListe value) {
        this.vurdkombinasjonListe = value;
    }

    public boolean isSetVurdkombinasjonListe() {
        return (this.vurdkombinasjonListe!= null);
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getAny() {
        if (any == null) {
            any = new ArrayList<Object>();
        }
        return this.any;
    }

    public boolean isSetAny() {
        return ((this.any!= null)&&(!this.any.isEmpty()));
    }

    public void unsetAny() {
        this.any = null;
    }

    /**
     * Gets the value of the niva property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNiva() {
        return niva;
    }

    /**
     * Sets the value of the niva property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNiva(BigInteger value) {
        this.niva = value;
    }

    public boolean isSetNiva() {
        return (this.niva!= null);
    }

}
